<?php
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
    
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
   
}

class Walker_Comment_bbc extends Walker_Comment {

	function start_el(&$output, $comment, $depth, $args) {
		$depth++;
		$GLOBALS['comment_depth'] = $depth;

		if ( !empty($args['callback']) ) {
			call_user_func($args['callback'], $comment, $args, $depth);
			return;
		}

		$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);

		if ( 'div' == $args['style'] ) {
			$tag = 'div';
			$add_below = 'comment';
		} else {
			$tag = 'li';
			$add_below = 'div-comment';
		}
?>
		<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
		<?php if ( 'ul' == $args['style'] ) : ?>
		<div id="div-comment-<?php comment_ID() ?>">
		<?php endif; ?>
		<div class="comment-author vcard">
		<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>

<?php if ($comment->comment_approved == '0') : ?>
		<em><?php _e('Your comment is awaiting moderation.') ?></em>
		<br />
<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'&nbsp;&nbsp;','') ?></div>
		</div>
		<div class="clear">
		<?php comment_text() ?>
		</div>

		<div class="reply">
		<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		</div>
		<?php if ( 'ul' == $args['style'] ) : ?>
		</div>
		<?php endif; ?>
<?php
	}
	
}

add_action('admin_menu', 'bbcc_add_theme_page');

function bbcc_add_theme_page() {
	if ( isset( $_GET['page'] ) && $_GET['page'] == basename(__FILE__) ) {
		if ( isset( $_REQUEST['action'] ) && 'save' == $_REQUEST['action'] ) {
			check_admin_referer('bbcc-header');
			
			$roll = ($_REQUEST['blogroll']);
			$logo = ($_REQUEST['logo']);
			$social = intval($_REQUEST['social']);
			
			if($roll){ update_option('bbcc_blogroll', $roll); }
			else{ delete_option('bbcc_blogroll'); }

			if($logo){ update_option('bbcc_logo', $logo); }
			else{ delete_option('bbcc_logo'); }

			if($social){ update_option('bbcc_social', 1); }
			else{ delete_option('bbcc_social'); }
			
			wp_redirect("themes.php?page=functions.php&saved=true");
			die;
		}
	}
	add_theme_page(__('Theme Options'), __('BBCC Options'), 'edit_themes', basename(__FILE__), 'bbcc_theme_page');
}

function bbcc_theme_page() {
	if ( isset( $_REQUEST['saved'] ) ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.').'</strong></p></div>';
	
	$br = get_option('bbcc_blogroll');
	$bc = $cats = get_terms('link_category');
?>
<div class='wrap'>
	<div id="icon-options-general" class="icon32"><br /></div>
	<h2><?php _e('BBCC Theme Options'); ?></h2>

	<form style="display:inline;" method="post" action="<?php echo attribute_escape($_SERVER['REQUEST_URI']); ?>">
	<input type="hidden" name="action" value="save" />
	<?php wp_nonce_field('bbcc-header'); ?>
	
	<table class="form-table">
	<tr valign="top">


	<th scope="row"><label for="blogroll"><?php _e('Header Links Blogroll') ?>:</label></th>

	<td><label><select name="blogroll" id="blogroll" ><option value=''>[<?php _e('Off') ?>]</option><?php
	foreach($bc as $c){
		$sel = $c->term_id == $br ? ' selected="1"' : '';
		echo "<option value='$c->term_id'$sel>$c->name</option>";
	}
	
	?></select><br/>
	<?php _e('Select links category to be placed on the top of your blog'); ?>
	 </label>
	</td>
	</tr>


	<tr valign="top">
	<th scope="row"><label for="logo"><?php _e('Logo Image URL') ?>:</label></th>

	<td><label><input name="logo" id="logo" type="text" class="regular-text code" value="<?php echo get_option('bbcc_logo') ?>" /><br/>
	<?php _e('Will be used instead of text slogan'); ?>
	 </label>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row"><label for="social"><?php _e('Social buttons') ?>:</label></th>

	<td><label><input name="social" id="social" type="checkbox" value="1" <?php echo get_option('bbcc_social') ? "checked=\"1\"" : ''; ?> />
	<?php _e('Add `Social Bookmarking` buttons to the end of each single post'); ?>
	 </label>
	</td>
	</tr>
	
	</table>
	<br/>
	<input type="submit"  class="button" name="save" id="save" value="<?php echo attribute_escape(__('Save')); ?>"></input>
	
</div>
<?php } ?>